package com.winhc.repal.enums;

import cn.hutool.core.util.ObjectUtil;

/**
 * @description: 字典数据
 *
 */
public class Dict {

    public enum DeletedStatusEnunm {
        /**
         *  是否删除
         */
        否(0),
        是(1);

        public Integer code;

        DeletedStatusEnunm(Integer code) {
            this.code = code;
        }

        public Integer getCode() {
            return code;
        }
    }

    /**
     * 日志动作枚举
     */
    public enum ActionCodeEnum {
        新增客户("CUST_ADD","add"),修改客户("CUST_UPDATE","update"),删除客户("CUST_DEL","delete"),
        新增供应商("SUPPLY_ADD","add"),修改供应商("SUPPLY_UPDATE","update"),删除供应商("SUPPLY_DEL","delete");
        public String code;

        public String bizType;

        ActionCodeEnum(String code, String bizType) {
            this.code = code;
            this.bizType = bizType;
        }

        public String getCode() {
            return code;
        }

        public String getBizType() {
            return bizType;
        }
    }

    public enum RemindEnum {
        /**
         * 智能提醒类型
         */
        逾期提醒,账款评级,财产线索,风险预警;
    }

    public enum custTypeEnum {
        客户(1),供应商(2);
        public Integer code;

        custTypeEnum(Integer code) {
            this.code = code;
        }

        public Integer getCode() {
            return code;
        }
    }

    public enum custPropertyEnum{
        企业(1),个人(2),政府事业单位(3);
        public Integer code;

        custPropertyEnum(Integer code) {
            this.code = code;
        }

        public Integer getCode() {
            return code;
        }
    }
}
