package com.winhc.repal.model.dto;

import java.time.LocalDateTime;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * @description RepalRemindHistory DTO对象
 * @author Generator
 * @date 2022-04-08
 */
@Data
@Accessors(chain = true)
@ApiModel(value="RepalRemindHistory DTO对象", description="智能提醒历史表")
public class RepalRemindHistoryDTO {


    @ApiModelProperty(value = "")
    private Long id;

    @ApiModelProperty(value = "用户ID")
    private Long userId;

    @ApiModelProperty(value = "账本ID")
    private Long repalBookId;

    @ApiModelProperty(value = "账单主键")
    private Long repalBillId;

    @ApiModelProperty(value = "动态主键")
    private String trendId;

    @ApiModelProperty(value = "动态内容")
    private String trendContent;

    @ApiModelProperty(value = "提醒时间")
    private LocalDateTime remindTime;

    @ApiModelProperty(value = "公司名称")
    private String companyName;

    @ApiModelProperty(value = "提醒标题")
    private String remindTitle;

    @ApiModelProperty(value = "提醒文案")
    private String remindContent;

    @ApiModelProperty(value = "功能列表")
    private String functionList;

    @ApiModelProperty(value = "提醒类型,枚举(中文)：逾期提醒、账款评级、财产线索、风险预警")
    private String remindType;

    @ApiModelProperty(value = "0未读1已读")
    private Integer readStatus;

    @ApiModelProperty(value = "动态类型")
    private String trentType;

    @ApiModelProperty(value = "跳转详情用，存新数据的rowkey")
    private String bizId;

    @ApiModelProperty(value = "跳转详情用")
    private String dimensionType;

    @ApiModelProperty(value = "跳转详情用")
    private String infoType;

    @ApiModelProperty(value = "跳转详情用，存新数据的id")
    private String dynamicId;

    @ApiModelProperty(value = "提醒文案新版")
    private String newTrendContent;

    @ApiModelProperty(value = "0旧1新")
    private Integer isNew;


}
