package com.winhc.repal.repository;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.winhc.repal.entity.RepalBill;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.winhc.repal.model.dto.GetRepalBillPageDTO;
import org.springframework.stereotype.Repository;

/**
 * @description RepalBill Mapper 接口
 * @author Generator
 * @date 2022-04-08
 */
@Repository
public interface RepalBillMapper extends BaseMapper<RepalBill> {


    /**
     * 获取账款列表
     * @param page page
     * @param dto dto
     * @return com.baomidou.mybatisplus.extension.plugins.pagination.Page<com.winhc.repal.entity.RepalBill>
     * @author xda
     * @date 2022/4/13 17:44
     */
    Page<RepalBill> getRepalBillPage(Page<RepalBill> page, GetRepalBillPageDTO dto);


}
