package com.winhc.repal.model.vo;

import com.winhc.common.model.base.VOPage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Description: RepalBillInfoVO
 * @Author: xda
 * @Date: 2022/4/18 12:51
 */
@Data
@ApiModel("账款信息")
public class RepalBillInfoVO {

    @ApiModelProperty("总逾期str")
    private String totalOverdueStr;

    @ApiModelProperty("总逾期")
    private Integer totalOverdueCount;

    @ApiModelProperty("总待收/总待付金额")
    private Integer totalReceivableStr;

    @ApiModelProperty("总待收/总待付笔数")
    private Integer totalReceivableCount;

    @ApiModelProperty("账款分页信息")
    private VOPage<RepalBillPageVO> page;
}
